:root {
  --fs-100: 0.75rem;
  /* Smallest size */
  --fs-200: 1rem;
  --fs-300: 1.25rem;
  --fs-400: 1.5rem;
  --fs-500: 1.75rem;
  --fs-600: 2rem;
  --fs-700: 2.5rem;
  --fs-800: 3rem;
  /* Largest size */

  --clr-light: #efeae1;
  --clr-dark: #130d1a;
  --clr-light-blue: #00bbf9;
  --clr-blue: #3a86ff;
  --clr-light-pink: #f15bb5;
  --clr-pink: #ff006e;
  --clr-yellow: #ffbe0b;
  --clr-purple: #8338ec;
}


/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
* {
  margin: 0;
  padding: 0;
  font: inherit;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

html,
body {
  height: 100%;
  font-family: "menco";
  font-weight: 500;
  font-style: normal;
  background-color: var(--clr-light);
}

/* Set core body defaults */
body {
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  min-height: 100vh;
}

h1 {
  font-family: "freude";
  color: var(--clr-dark);
  font-size: 5rem;
  text-align: center;
  line-height: 4rem;
  padding-top: 50px;
  padding-bottom: 30px;
}

h2 {
  font-family: "freude";
  color: var(--clr-dark);
  font-size: 2rem;
  text-align: center;
}

h3 {
  font-family: "menco";
  font-weight: 700;
  color: var(--clr-dark);
  font-size: 1.5rem;
}

.spacer-50 {
  margin-top: 50px;
}

.spacer-30 {
  margin-top: 30px;
}

p {
  margin-top: 10px;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture,
svg {
  max-width: 100%;
  display: block;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

::selection {
  background-color: var(--clr-dark);
  /* Highlight background color */
  color: var(--clr-light);
  /* Highlight text color */
}

.bold {
  font-weight: 700;
}

#loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #1c1b1b;
  /* Change this to match your design */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  /* Make sure it overlays other elements */
  animation: hideLoader 5s forwards;
  /* Hides the loader after 5 seconds */
}

#loader img {
  width: 500px;
  /* Adjust size as needed */
  height: auto;

}

@keyframes hideLoader {
  90% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    display: none;
  }
}


/* Book Button (not nav bar) */
.book-btn {
  text-align: center;
  background-color: var(--clr-yellow);
  color: var(--clr-dark);
  font-weight: 700;
  width: 100px;
  padding-top: 7px;
  padding-bottom: 7px;
  border-radius: 5px;
  margin-inline: auto;
  margin-top: 10px;
  margin-bottom: 10px;
  overflow: hidden;
  position: relative;
  border: rgba(0, 0, 0, 0.5) 1px solid;
  cursor: pointer;
}

.book-btn::before {
  content: '';
  background: linear-gradient(125deg, rgba(255, 244, 0, 0) 25%, rgba(251, 255, 165, 1) 50%, rgba(255, 244, 0, 0) 75%);
  width: 95px;
  height: 45px;
  left: -100%;
  top: 0;
  position: absolute;
  transition: left 0.5s ease-in-out;
}

.book-btn.glow-clr::before {
  background: linear-gradient(125deg, rgba(0, 255, 196, 0) 25%, rgb(200, 152, 255) 50%, rgba(0, 255, 196, 0) 75%);
}

.book-btn.pink-clr::before {
  background: linear-gradient(125deg, rgba(255, 0, 128, 0) 25%, rgb(255, 122, 200) 50%, rgba(255, 0, 128, 0) 75%);
}

.book-btn.light-pink-clr::before {
  background: linear-gradient(125deg, rgba(255, 0, 128, 0) 25%, rgb(255, 184, 225) 50%, rgba(255, 0, 128, 0) 75%);
}

.book-btn:hover::before {
  left: 100%;
}

.glow-clr {
  background-color: rgb(125, 45, 255);
}

.pink-clr {
  background-color: var(--clr-pink);
}

.balance {
  text-wrap: balance;
}

.light-pink-clr {
  background-color: var(--clr-light-pink);
}

.light-clr {
  color: var(--clr-light-blue);
}

.yellow-clr {
  color: var(--clr-yellow);
}

/* Book Now Button */
.book-now-btn {
  height: 100px;
}

.cls-1 {
  fill: var(--clr-light);
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

.hero-section {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0px 20px;
  box-sizing: border-box;
  background-color: var(--clr-dark);

  /* Spotlight gradient */
  --x: 50%;
  --y: 50%;
  background:
    radial-gradient(
      circle at var(--x) var(--y),
      rgba(126, 46, 255, 0.1),
      rgba(255, 255, 255, 0) 500px
    ),
    var(--clr-dark); /* this is the base colour */
  background-repeat: no-repeat;
  background-size: 100% 100%;
  transition: background 0.1s ease;
}

.hero-logo-graphic {
  text-align: center;
  margin-bottom: 50px;
  margin-top:50px;
  position: relative;
}

.logo-img {
  width: 400px;
  max-width: 50vw;
  filter: drop-shadow(0 0.75rem 0.25rem rgba(0, 0, 0, 0.5));
}

.hero-image-strip {
  display: flex;
  justify-content: center;
  gap: 0;
  /* spacing managed by skew/transform */
  width: 100%;
  max-width: 1400px;
  overflow: hidden;
}

/* Make each panel a clickable block */
.skew-panel-link {
  display: block;
  flex: 1;
  max-width: 30%;
  transform: skewX(-12deg);
  overflow: visible;
  text-decoration: none;
  position: relative;
  z-index: 1;
  margin-left: -9.4%;
  /* THIS creates the overlap */

  clip-path: polygon(14% 0%, 84% 0%, 84% 100%, 14% 100%);
  transition: transform 0.3s ease, filter 0.3s ease;
}

.skew-panel-link:first-child {
  margin-left: 0;
}

/* Fix pointer region with unskewed visual inside */
.skew-panel {
  transform: skewX(12deg);
  overflow: hidden;
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  padding-bottom: 16px;
  /* space from bottom */
}

.skew-panel img {
  width: 100%;
  height: auto;
  display: block;
  filter: grayscale(100%);
  transition: transform 0.3s ease, filter 0.3s ease;
}

/* Hover effect */
.skew-panel-link:hover .skew-panel img {
  transform: scale(1.03);
  filter: grayscale(0%) brightness(1.1) drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.5));
  cursor: pointer;
}

.skew-panel-link::before {
  content: "";
  position: absolute;
  top: 0;
  left: -75%;
  width: 50%;
  height: 87%;
  background: linear-gradient(90deg,
      rgb(255, 224, 48) 0%,
      rgba(255, 224, 48, 0.5) 14%,
      rgba(255, 255, 255, 0.0) 15%,
      rgba(255, 255, 255, 0.0) 35%,
      rgba(255, 224, 48, 0.5) 26%,
      rgb(255, 224, 48) 86%,
      rgba(255, 255, 255, 0.0) 87%,
      rgba(255, 255, 255, 0.0) 100%);
  pointer-events: none;
  z-index: 2;
  transition: none;
  opacity: 1;
}

.skew-panel-link:hover::before {
  animation: sweep 0.6s ease-out forwards;
  opacity: 1;
}

.label {
  position: relative;
  bottom: 15%;
  left: -10%;
  max-width: 30%;
  z-index: 3;
}

.label-icon {
  width: 20px;
  height: auto;
  display: inline-block;
  filter: drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.5))
}

/* Default: show desktop, hide mobile */
.desktop-only {
  display: flex;
}

.mobile-only {
  display: none;
}

/* On mobile: hide desktop, show mobile */
@media (max-width: 768px) {
  .desktop-only {
    display: none !important;
  }

  .mobile-only {
    display: block !important;
  }

  .logo-img {
    width: 250px;
    max-width: 25vw;
    filter: drop-shadow(0 0.75rem 0.25rem rgba(0, 0, 0, 0.25));
  }

  .hero-section {
    padding:20px 5%;
    height:100vh;
  }

  .hero-logo-graphic {
    margin-bottom:20px;
  }
}

.mobile-image-stack {
  flex-direction: column;
  gap: 20px;
  padding: 0 20px;
  max-width: 600px;
  margin-inline: auto;
}

.mobile-panel {
  margin-top:5px;
  display: flex;
  flex-direction: column;
  position: relative;
  text-decoration: none;
}

.mobile-label {
  position: absolute;
  width: 100%;
  height: 100%;
}

.mobile-label .label-icon {
  width: 25%;
  margin-left: 38%;
  margin-top: 14%;
  height: auto;
  filter: drop-shadow(0 0 3px rgba(0, 0, 0, 0.7));
}

@keyframes sweep {
  0% {
    left: -75%;
    opacity: 1;
  }

  10% {
    opacity: 1;
  }

  100% {
    left: 130%;
    opacity: 1;
  }
}

@media (max-width: 768px) {
  .skew-panel-link {
    transition: none !important;
  }

  .skew-panel {
    transition: none !important;
  }

  .skew-panel img {
    transform: none !important;
    filter: none !important;
  }

  .skew-panel-link:hover .skew-panel img {
    transform: none !important;
    filter: none !important;
  }

  .skew-panel-link::before {
    display: none !important;
    /* disable swipe shine effect */
  }

  .hero-logo-graphic {
    margin-top:10px;
  }
}

.a404-section {
  position: relative;
  height: 100vh;
  width: 100%;
  overflow: hidden;
  padding-bottom: 0px;
  background-color: var(--clr-pink);
  text-align: center;

  h1 {
    margin-top: 100px;
    color: var(--clr-light);
  }

  h2 {
    color: var(--clr-light);
  }

  .center-image {
    width: 100%;
  }

  img {
    margin-top: 50px;
    margin-inline: auto;
    border-radius: 20px;
  }

  a {
    color: var(--clr-light-blue);
    font-size: large;
  }
}

.hero-title {
  margin-top: 30vh;
  margin-inline: 0px;
  width: 50%;
  font-family: "freude";
  font-size: 5rem;
  text-align: left;
  line-height: 5rem;
}

.offer {
  display: flex;
  width: 100%;
}

.button-row {
  display: flex;
  justify-content: center;
}

.btn-group {
  display: flex;
  justify-content: center;
  gap: 20px;
  /* optional spacing between buttons */
}

.footer-section {
  position: relative;
  background-color: var(--clr-dark);
  color: var(--clr-light);
  padding-bottom: 20px;
  padding-top: 30px;
}

.t-20 {
  margin-top: 20px;
}

.copywrite {
  font-family: "freude";
  font-size: 1rem;
  text-align: center;
  line-height: 2rem;
}

.social-media-icons {
  width: 100%;
  display: flex;
  justify-content: center;
  cursor: pointer;
}

.social-media-icons img {
  height: 60px;
  margin-inline: 10px;

}

@media (max-width: 991px) {
  .more-info-button {
    margin-inline: auto;
  }
}

section {
  padding-bottom: 80px;
  scroll-margin-top: 100px;
  /* Adjust based on your navbar height */
}

.center {
  justify-content: center;
  text-align: center;
}

.logo-graphic {
  height: 80px;
  width: auto;
  display: inline;
}

.mobile-logo-graphic {
  height: 30px;
  width: auto;
  display: none;
}

.logo-white-graphic {
  content: url(../assets/img/logo-white.svg);
  height: 100px;
  width: auto;
  margin: 30px auto;
  text-align: center;
}

.logo-white-graphic-main {
  content: url(../assets/img/logo-white.svg);
  height: 100px;
  width: auto;
  margin: 60px auto 30px auto;
  text-align: center;
}

.mobile-spacing {
  margin: 40px 0;
}